Integrations
All operations require authentication.
List integrationsBeta
Returns the integrations of the service with other services.
Path parameters
Project ID
Service ID
Headers
Pagination cursor
Pagination size
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Identifier of the destination service. Null for external integrations.
Unique identifier of the integration
Engine-specific configuration parameters for the integration
Identifier of the source service
Current readiness status of the integration
CREATINGDELETINGERRORREADYUPDATINGType of the integration
GRAFANA_DASHBOARDGRAFANA_DATASOURCEKAFKA_CONNECTKAFKA_LOGSKAFKA_MIRROR_MAKEROPENSEARCH_LOGSPOSTGRESQL_METRICSPROMETHEUSRSYSLOGDate of the last update to the resource
Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedDatabase/ valkey/ {serviceId}/ integration \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "destinationServiceId": "00000000-0000-0000-0000-000000000000", "id": "00000000-0000-0000-0000-000000000000", "parameters": { "key": "string" }, "sourceServiceId": "00000000-0000-0000-0000-000000000000", "status": "CREATING", "type": "GRAFANA_DASHBOARD", "updatedAt": "2024-01-01T12:00:00Z" }]
Get an integrationBeta
Returns the integration type, its source and destination services and its status.
Path parameters
Integration ID
Project ID
Service ID
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Identifier of the destination service. Null for external integrations.
Unique identifier of the integration
Engine-specific configuration parameters for the integration
Identifier of the source service
Current readiness status of the integration
CREATINGDELETINGERRORREADYUPDATINGType of the integration
GRAFANA_DASHBOARDGRAFANA_DATASOURCEKAFKA_CONNECTKAFKA_LOGSKAFKA_MIRROR_MAKEROPENSEARCH_LOGSPOSTGRESQL_METRICSPROMETHEUSRSYSLOGDate of the last update to the resource
Example uses integrationId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedDatabase/ valkey/ {serviceId}/ integration/ {integrationId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "destinationServiceId": "00000000-0000-0000-0000-000000000000", "id": "00000000-0000-0000-0000-000000000000", "parameters": { "key": "string" }, "sourceServiceId": "00000000-0000-0000-0000-000000000000", "status": "CREATING", "type": "GRAFANA_DASHBOARD", "updatedAt": "2024-01-01T12:00:00Z"}
Create an integrationBeta
Integrates the service with another database or analytics service. sourceServiceId must be the identifier of this service. Compatible engine pairs are listed on the capabilities endpoint.
Path parameters
Project ID
Service ID
Request body (required)
Identifier of the destination service. Compatible source and destination engine pairs can be retrieved from the capabilities endpoint.
Engine-specific configuration parameters for the integration
Identifier of the source service
Type of the integration
GRAFANA_DASHBOARDGRAFANA_DATASOURCEKAFKA_CONNECTKAFKA_LOGSKAFKA_MIRROR_MAKEROPENSEARCH_LOGSPOSTGRESQL_METRICSPROMETHEUSRSYSLOGResponse
Hash of the resource used for concurrency control
Date at which the resource was created
Identifier of the destination service. Null for external integrations.
Unique identifier of the integration
Engine-specific configuration parameters for the integration
Identifier of the source service
Current readiness status of the integration
CREATINGDELETINGERRORREADYUPDATINGType of the integration
GRAFANA_DASHBOARDGRAFANA_DATASOURCEKAFKA_CONNECTKAFKA_LOGSKAFKA_MIRROR_MAKEROPENSEARCH_LOGSPOSTGRESQL_METRICSPROMETHEUSRSYSLOGDate of the last update to the resource
Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedDatabase/ valkey/ {serviceId}/ integration \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "destinationServiceId": "00000000-0000-0000-0000-000000000000", "id": "00000000-0000-0000-0000-000000000000", "parameters": { "key": "string" }, "sourceServiceId": "00000000-0000-0000-0000-000000000000", "status": "CREATING", "type": "GRAFANA_DASHBOARD", "updatedAt": "2024-01-01T12:00:00Z"}
Delete an integrationBeta
Deletes the integration.
Path parameters
Integration ID
Project ID
Service ID
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Identifier of the destination service. Null for external integrations.
Unique identifier of the integration
Engine-specific configuration parameters for the integration
Identifier of the source service
Current readiness status of the integration
CREATINGDELETINGERRORREADYUPDATINGType of the integration
GRAFANA_DASHBOARDGRAFANA_DATASOURCEKAFKA_CONNECTKAFKA_LOGSKAFKA_MIRROR_MAKEROPENSEARCH_LOGSPOSTGRESQL_METRICSPROMETHEUSRSYSLOGDate of the last update to the resource
Example uses integrationId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedDatabase/ valkey/ {serviceId}/ integration/ {integrationId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "destinationServiceId": "00000000-0000-0000-0000-000000000000", "id": "00000000-0000-0000-0000-000000000000", "parameters": { "key": "string" }, "sourceServiceId": "00000000-0000-0000-0000-000000000000", "status": "CREATING", "type": "GRAFANA_DASHBOARD", "updatedAt": "2024-01-01T12:00:00Z"}